package de.sh_edraft.events

import de.sh_edraft.data.DataService
import org.bukkit.event.EventHandler
import org.bukkit.event.Listener
import org.bukkit.event.player.PlayerJoinEvent
import java.util.logging.Logger

class OnJoinListener(
    private val logger: Logger,
    private val dataService: DataService
) : Listener {
    @EventHandler
    fun onPlayerJoin(p: PlayerJoinEvent) {
        if (p.player.player ==  null) {
            return;
        }
        val playerId = this.dataService.getPlayerGlobalId(p.player.player!!.displayName) ?: return;
        this.dataService.sendJoinedPlayer(playerId);
    }
}